Bug 510358 - should use hunspell
should use hunspell
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mutt (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 15:37 EDT by Bill Nottingham
Modified: 2014-03-16 23:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-18 08:42:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-07-08 15:37:06 EDT
Description of problem:

hunspell is the default spell checker used by firefox, OO.o, and both major desktops in Fedora. mutt should follow suit.

Index: mutt.spec
===================================================================
RCS file: /cvs/extras/rpms/mutt/devel/mutt.spec,v
retrieving revision 1.62
diff -u -r1.62 mutt.spec
--- mutt.spec	9 Jun 2009 15:14:58 -0000	1.62
+++ mutt.spec	8 Jul 2009 19:34:02 -0000
@@ -33,9 +33,9 @@
 Patch10: mutt-1.5.19-saslcb.patch
 Patch11: mutt-1.5.19-gnutls.patch
 Url: http://www.mutt.org/
-Requires: mailcap urlview
+Requires: mailcap urlview hunspell
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-BuildRequires: aspell /usr/sbin/sendmail
+BuildRequires: hunspell /usr/sbin/sendmail
 BuildRequires: ncurses-devel
 BuildRequires: gettext
 # required to build documentation
@@ -99,7 +99,7 @@
 %endif
 %{!?with_idn:	--without-idn} \
 %{?with_gpgme:	--enable-gpgme} \
-		--with-docdir=%{_docdir}/%{name}-%{version}
+		--with-docdir=%{_docdir}/%{name}-%{version} ISPELL=%{_bindir}/hunspell
 
 make %{?_smp_mflags}
 
@@ -114,10 +114,10 @@
 grep -5 "^color" contrib/sample.muttrc >> \
 	$RPM_BUILD_ROOT%{_sysconfdir}/Muttrc
 
-# and we use aspell
+# and we use hunspell
 cat >> $RPM_BUILD_ROOT%{_sysconfdir}/Muttrc <<EOF
-# use aspell
-set ispell="%{_bindir}/aspell --mode=email check"
+# use hunspell
+set ispell="%{_bindir}/hunspell"
 
 source %{_sysconfdir}/Muttrc.local
 EOF

Version-Release number of selected component (if applicable):

mutt-1.5.19-5.fc11.x86_64

How reproducible:

100%
Comment 1 Miroslav Lichvar 2009-09-18 08:42:28 EDT
Changed in mutt-1.5.20-1.20090827hg605559.fc12. Thanks.

Note You need to log in before you can comment on or make changes to this bug.